.festival-page--title {
	display: flex;
	align-items: center;
	justify-content: center;
	margin-top: 1em;
	font-weight: bold;
	font-size: 2em;
	gap: 1em;
	text-transform: uppercase;
	&:before,
	&:after {
		content: "";
		flex: 1;
		height: 2px;
		background: var(--color-gray-74);
	}
}

.festival-page--content {
	max-width: 44em;
	text-align: center;
	margin: 0 auto 2em auto;
}

.festival-page--bottom-content {
	margin-top: 1em;
	text-align: center;
}

.festival-grid {
	display: grid;
	grid-template-columns: repeat(3, 1fr);
	gap: 1.5rem;
	list-style: none;
	margin: 0;
	padding: 0;
}

.festival-grid__item {
	width: 100%;
}

.festival-card {
	display: block;
	text-decoration: none;
	color: inherit;
}

.festival-card__image-wrap {
	position: relative;
	overflow: hidden;
}

.festival-card__image {
	width: 100%;
	height: 100%;
	display: block;
	object-fit: cover;
	transition: 900ms ease;
}

.festival-card__overlay {
	position: absolute;
	inset: 0;
	display: flex;
	align-items: center;
	justify-content: center;
	padding: 1rem;
	background: rgba(0, 0, 0, 0.2);
	text-align: center;
}

.festival-card__overlay-title {
	color: var(--color-white);
	font-size: 1.2em;
	letter-spacing: 0.2ch;
	text-transform: uppercase;
	font-weight: normal;
	position: relative;
	padding: 0.5em 0;
}

.festival-card__overlay-title:before,
.festival-card__overlay-title:after {
	position: absolute;
	content: "";
	display: block;
	width: 100%;
	height: 2px;
	background: var(--color-white);
	transform: scaleX(0);
	transition: 300ms ease;
}

.festival-card__overlay-title:before {
	top: 0;
	transform-origin: 0%;
}

.festival-card__overlay-title:after {
	bottom: 0;
	transform-origin: 100%;
}

.festival-card:hover .festival-card__overlay-title:before,
.festival-card:hover .festival-card__overlay-title:after {
	transform: scaleX(1);
}
.festival-card:hover .festival-card__image {
	transform: scale(1.2);
}

.festival-card__body {
	margin-top: 0.75rem;
}

.festival-card__subtitle {
	font-weight: 700;
	margin-bottom: 0.5rem;
}

.festival-card__text {
	color: #5f5f5f;
	line-height: 1.4;
	font-weight: bold;
}

@media (max-width: 1024px) {
	.festival-grid {
		grid-template-columns: repeat(2, 1fr);
	}
}

@media (max-width: 600px) {
	.festival-grid {
		grid-template-columns: 1fr;
	}
	.festival-page--title {
		font-size: 1.4em;
		text-align: center;
	}
	.htlgi-top-content--text :where(h2) {
		font-size: 1em;
	}
}
